<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.ifish.entity">
	<class name="DevicePetUser" table="tbl_pet_list" dynamic-insert="true" dynamic-update="true">
		<meta attribute="sync-DAO">false</meta>
		<composite-id name="priId" class="com.ifish.entity.DeviceUserId">
			<key-property	 name="userId" 		column="user_id" 	type="java.lang.Integer" />
			<key-property	 name="deviceId" 	column="device_id" 	type="java.lang.Integer" />
		</composite-id>
		<property 	name="showName" 		column="device_name"	 	type="string" 	length="255" />
		<property 	name="storeName" 		column="store_name"	 		type="string" 	length="255" />
		<property 	name="isMaster" 		column="is_master"	 		type="java.lang.Integer" 	length="10" />
	</class>
</hibernate-mapping>